com.independentsoft.exchange

## Class AggregateOn

- java.lang.Object
- - com.independentsoft.exchange.AggregateOn

-     public class AggregateOn
      extends java.lang.Object

  Represents the property that is used to determine the order of grouped items for a grouped FindItem result set.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AggregateOn()` Initializes a new instance of the AggregateOn class.
    `AggregateOn(PropertyPath propertyPath)` Initializes a new instance of the AggregateOn class with the specified propertyPath.
    `AggregateOn(PropertyPath propertyPath, Aggregate aggregate)` Initializes a new instance of the AggregateOn class with the specified propertyPath and aggregate.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Aggregate` | `getAggregate()` Gets the aggregate.
    `PropertyPath` | `getPropertyPath()` Gets the property path.
    `void` | `setAggregate(Aggregate aggregate)` Sets the aggregate.
    `void` | `setPropertyPath(PropertyPath propertyPath)` Sets the property path.
    `java.lang.String` | `toString()` Converts the value of the current AggregateOn object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AggregateOn

          public AggregateOn()

      Initializes a new instance of the AggregateOn class.

    - #### AggregateOn

          public AggregateOn(PropertyPath propertyPath)

      Initializes a new instance of the AggregateOn class with the specified propertyPath.
      Parameters:
        `propertyPath` - the property path

    - #### AggregateOn

          public AggregateOn(PropertyPath propertyPath,
                             Aggregate aggregate)

      Initializes a new instance of the AggregateOn class with the specified propertyPath and aggregate.
      Parameters:
        `propertyPath` - the property path
        `aggregate` - the aggregate

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current AggregateOn object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPropertyPath

          public PropertyPath getPropertyPath()

      Gets the property path.
      Returns:
        the property path

    - #### setPropertyPath

          public void setPropertyPath(PropertyPath propertyPath)

      Sets the property path.
      Parameters:
        `propertyPath` - the new property path

    - #### getAggregate

          public Aggregate getAggregate()

      Gets the aggregate.
      Returns:
        the aggregate

    - #### setAggregate

          public void setAggregate(Aggregate aggregate)

      Sets the aggregate.
      Parameters:
        `aggregate` - the new aggregate